Get Datafit Plot Data
curl --request GET \
--url https://api.ionworks.com/pipelines/datafits/{job_id}/plot_dataimport requests
url = "https://api.ionworks.com/pipelines/datafits/{job_id}/plot_data"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.ionworks.com/pipelines/datafits/{job_id}/plot_data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"traces": [
{
"name": "<string>",
"x": [
123
],
"y": [
123
]
}
],
"layout": {},
"type": "<string>",
"x_full_min": 123,
"x_full_max": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Pipeline
Get Datafit Plot Data
Return decimated trace data for a single data-fit validation plot.
Same behaviour as GET /validations/{job_id}/plot_data but accepts
a data-fit job ID. Both job types store validation_plot_config in the
same metadata blob format.
Get Datafit Plot Data
Path Parameters
Query Parameters
Objective name within validation_plot_config
Index into the plots list for this objective
Required range:
x >= 0Maximum points per trace
Required range:
100 <= x <= 80000Lower x-range bound (inclusive)
Upper x-range bound (inclusive)
Response
Successful Response
Response from GET /pipelines/{validations|datafits}/{job_id}/plot_data.
Contains decimated trace data for a single validation plot, filtered to
the requested x-range and downsampled to at most max_points per trace.
Was this page helpful?